Subject: Re: Perl instabilities
From: [email-masked] (Michael Lemke)
To: l"Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Apr 2003 23:46:31 +0200

4/26/03 23:34:58, "Gerrit P. Haase" <[email-masked]> wrote:

>Hallo Michael,
>
>Am Samstag, 26. April 2003 um 21:49 schriebst du:
>
>> Hi, I see the same.  Haven't tried to track it down, though.
>> When I run the perl Makefile.PL for the spamassassin 2.53 package
>> perl crashes in CWD.DLL
>
>>  micha> uname -a
>> CYGWIN_98-4.10 micha 1.3.22(0.78/3/2) 2003-03-18 09:20 i586 unknown unknown Cygwin
>>  micha> perl -v
>
>> This is perl, v5.8.0 built for cygwin-multi-64int
>> ...
>>  micha> perl Makefile.PL
>> Checking if your kit is complete...
>> Looks good
>> Warning: prerequisite HTML::Parser 3 not found.
>>    1924 [main] perl 898827 sync_with_child: child -861851(0xF0) died before initialization with status code 0xFFFFFFFF
>>    2054 [main] perl 898827 sync_with_child: *** child state child loading dlls
>
>> After a while two instances (processes) of perl crash.
>
>[...]
>
>> Any ideas?
>
>There is a debudding versiopn of perl available:
>Ok, a debugging version is here (two packages, 8MB sourcetree and
>10MB binaries):
>http://koeln.convey.de/cywgin/perl/perl-5.8.0-debugging.tar.bz2
>http://koeln.convey.de/cywgin/perl/perl-5.8.0-debugging-srctree.tar.bz2
>http://koeln.convey.de/cywgin/perl/md5sums
>
>And a source package with the additional patches and scripts to
>build a debugging version: perl-5.8.0-debugging-src.tar.bz2, is
>available on request.
>
>As C. Faylor wrote:
>
>Now you could do something like:
>
>set CYGWIN=error_start=c:/cygwin/bin/gdb
>
>and when gdb pops up, type "bt" to get a stack trace.
>

Thanks for the fast reply, Gerrit.  But before I go that route
how about the stack trace Dr.Watson supplies?  I attach it to
this mail.

Michael
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/